from PyQt5.QtWidgets import QComboBox
from PyQt5.QtCore import pyqtSignal

class ComboBoxShowPopUpWindow(QComboBox):
    ShowPopUpWindowSignal = pyqtSignal()

    def showPopup(self):
        self.ShowPopUpWindowSignal.emit()
        super(ComboBoxShowPopUpWindow, self).showPopup()
